csound (1:6.08.0~dfsg-1) unstable; urgency=medium

  * New upstream release
    - Do not include git commit in version information
    - Enable the new score parser
    - Add new symbols to symbols file

 -- Felipe Sateler <fsateler@debian.org>  Thu, 01 Dec 2016 19:51:10 -0300

csound (1:6.07.0~dfsg-4) unstable; urgency=medium

  * Fix missing files in arch: all packages (Closes: #837273)

 -- Felipe Sateler <fsateler@debian.org>  Sat, 10 Sep 2016 12:32:47 -0300

csound (1:6.07.0~dfsg-3) unstable; urgency=medium

  * Drop Jonas from uploaders. Thanks for all the work!
  * Switch from CDBS to short-form dh
  * Bump debhelper compat level to 9
  * Drop fltk_gui references in copyright file.
  * Fix typo in debian/copyright

 -- Felipe Sateler <fsateler@debian.org>  Sat, 03 Sep 2016 13:21:27 -0300

csound (1:6.07.0~dfsg-2) unstable; urgency=medium

  * pffft: Only use simd instructions on amd64

 -- Felipe Sateler <fsateler@debian.org>  Sun, 03 Jul 2016 21:23:24 -0400

csound (1:6.07.0~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 6.07.0~dfsg
    - Add html examples to Files-Excluded
    - Remove debian-specific .gitignore
  * Update patches for new upstream version.
    Dropped:
    - Disable-html-timestamps.patch
    - Do-not-pass-a-null-pointer-to-strdup.-Fixes-466.patch
    - Introduce-CS_PACKAGE_DATE-macro.patch
    Dropped because better fix applied upstream:
    - debian-specific/apidoc-dotpath.patch
    - debian-specific/avoid-nonfree-scansyn-plugin.diff
    Refreshed:
    - debian-specific/lua-link.diff
  * Drop cdbs upstream tarball handling in favor of using uscan
  * Update upstream urls to github
  * Add libsamplerate build-depend for src_conv
  * Update copyright check usage
  * Fix USE_ATOMIC_BUILTIN typo
  * Drop BUILD_NEW_PARSER option, no longer exists
  * Specify python version
  * Install icsound and ctcsound python modules
  * Add build-depends on dh-python
  * fail-missing: do not skip python files
  * Add new symbols introduced in the new upstream version
  * Disable finite-math-only gcc flag (introduces weird symbols in public lib)

 -- Felipe Sateler <fsateler@debian.org>  Sun, 03 Jul 2016 14:45:28 -0400

csound (1:6.05~dfsg1-7) unstable; urgency=medium

  * Sanitize environment when setting package date
  * Disable html timestamps

 -- Felipe Sateler <fsateler@debian.org>  Fri, 04 Dec 2015 16:27:20 -0300

csound (1:6.05~dfsg1-6) unstable; urgency=medium

  * debian/copyright: Updates to machine-readable format
  * Package cleanup:
    - Switch to gbp-pq
    - Remove stale scons directives
    - Drop conditions for old python versions.
    - Drop break/replaces on versions older than stable (jessie)
    - Sync debian/rules with debian/control
  * Pass last changelog date as date to csound so it can build reproducibly
    - Introduce CS_PACKAGE_DATE macro (from upstream)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 30 Nov 2015 10:45:54 -0300

csound (1:6.05~dfsg1-5) unstable; urgency=medium

  * Add versioned build-dependency on gcc5-transitioned gmm++
  * Upload to unstable

 -- Felipe Sateler <fsateler@debian.org>  Thu, 03 Sep 2015 21:20:00 -0300

csound (1:6.05~dfsg1-4) unstable; urgency=medium

  * Upload to unstable 

 -- Felipe Sateler <fsateler@debian.org>  Thu, 03 Sep 2015 20:48:12 -0300

csound (1:6.05~dfsg1-3) experimental; urgency=medium

  * Bump standards version in control.in
  * Prepare for g++5 ABI transition: rename library packages
    Closes: #791014
  * Regenerate debian/control

 -- Felipe Sateler <fsateler@debian.org>  Fri, 31 Jul 2015 20:11:24 -0300

csound (1:6.05~dfsg1-2) unstable; urgency=medium

  * Pick patch from upstream preventing a csladspa crash. (Closes: #785186)

 -- Felipe Sateler <fsateler@debian.org>  Wed, 13 May 2015 23:08:52 -0300

csound (1:6.05~dfsg1-1) unstable; urgency=medium

  * New upstream release
    - Exclude nacl dir
    - Refresh patches
    - scope binary has been dropped
  * Add new options
    - Do not build hdf5 opcode
  * Remove old unused 2006-apidocs-font.patch
  * Remove old unused custom.py
  * Udpate copyright hints
  * Add new symbols
  * Add default license block
  * Bump standards version. No changes needed

 -- Felipe Sateler <fsateler@debian.org>  Sat, 02 May 2015 21:28:17 -0300

csound (1:6.03.2~dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Felipe Sateler <fsateler@debian.org>  Fri, 06 Jun 2014 19:46:48 -0400

csound (1:6.03.1~dfsg-1) unstable; urgency=medium

  * New upstream bugfix release
    - Remove unused emscripten and installer on repack
    - Fix doc build path

 -- Felipe Sateler <fsateler@debian.org>  Wed, 07 May 2014 10:54:49 -0400

csound (1:6.03.0~dfsg-1) experimental; urgency=medium

  * New upstream release
    - Refresh patches
    - Fix documentation location
    - Install new binary csdebugger
    - Install new README.md
    - Update copyright hints
    - csoundFindVariable was an experimental function, it is now gone

 -- Felipe Sateler <fsateler@debian.org>  Tue, 06 May 2014 12:09:35 -0400

csound (1:6.02~dfsg-2) unstable; urgency=medium

  * Drop Recommends on manpages, upstream no longer produce them
  * Add missing Depends of libcsnd-dev on libcsound64-dev (Closes: #742001)
  * Bump Standards-Version

 -- Felipe Sateler <fsateler@debian.org>  Tue, 18 Mar 2014 12:02:12 -0300

csound (1:6.02~dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Felipe Sateler <fsateler@debian.org>  Wed, 22 Jan 2014 10:08:39 -0300

csound (1:6.01~dfsg-2) unstable; urgency=low

  * Upload to unstable
  * Fix csoundac description
  * link to packaged jquery in doc
  * Build documentation in the build-indep target
  * Backport fix to the java interface from upstream
  * Improve clean rule
  * No error on format security. Avoids FTBFS in Ubuntu

 -- Felipe Sateler <fsateler@debian.org>  Tue, 19 Nov 2013 00:01:30 -0300

csound (1:6.01~dfsg-1) experimental; urgency=low

  * New upstream version
    - Drop patches applied upstream
    - Refresh patches
    - Do not build max opcode
    - Add max msp frontend copyright
    - Update copyright hints
    - Update symbols file
    - csoundapi~ -> csound6~
    - libcsnd library renamed to libcsnd6
  * Remove csound-gui package
    - There are no frontends anymore, the split makes no sense
  * Enable openmp
  * Use system portsmf
  * Ensure doc build dir exists
  * Regenerate debian/control

 -- Felipe Sateler <fsateler@debian.org>  Sat, 19 Oct 2013 19:40:55 -0300

csound (1:6.00.1~dfsg-2) unstable; urgency=low

  * Enable lua opcodes
    - Use lua instead of luajit
  * Get several patches from upstream git.
    - Only enable atomic builtins in amd64 and i386. Fixes FTBFS in some archs
    - Fix FTBFS on big endian archs

 -- Felipe Sateler <fsateler@debian.org>  Sun, 01 Sep 2013 23:41:52 -0400

csound (1:6.00.1~dfsg-1) unstable; urgency=low

  * New upstream release
   - Remove patch applied upstream
   - Remove patch to refman_header, no longer in source
   - Refresh patches
  * Backport several cmake fixes
  * Disable default optimizations. Closes: #718969

 -- Felipe Sateler <fsateler@debian.org>  Wed, 14 Aug 2013 19:04:18 -0400

csound (1:6.00~dfsg-1) unstable; urgency=low

  * New upstream release
   - Rename packages for csound 6, ABI break
   - Enable multicore, is now required
   - Disable the p5 glove opcodes
   - Refresh patches, drop patch 1000, applied upstream
   - Update copyright file
   - Add patch from upstream hiding some unwanted symbols
   - Fix crash in sdif2ad. Closes: #716233
  * Do not build tests yet
  * Drop tclcsound, upstream no longer builds it
  * Install new csanalyze and scope tools
  * python module is now csnd6
  * Drop SO versioning of lua interfaces, they are not versioned
  * Fixes FTBFS: Closes: #713667
  *

 -- Felipe Sateler <fsateler@debian.org>  Sat, 03 Aug 2013 18:47:12 -0400

csound (1:5.17.11~dfsg-4) unstable; urgency=low

  * Team upload.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.

  [ Sebastian Ramacher ]
  * debian/patches/2015-bison-2.6.patch: Apply patch from upstream to fix
    compilation with bison 2.6. (Closes: #710619)
  * debian/{control,rules}: Bump bison to (>= 2.6) to be on the safe side.
  * debian/control{,.in}: Change section of libcsoundac5.2 and libcsnd5.2 to
    libs.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Jun 2013 01:18:00 +0200

csound (1:5.17.11~dfsg-3) unstable; urgency=low

  * Install missing interlocks.h file

 -- Felipe Sateler <fsateler@debian.org>  Fri, 12 Apr 2013 17:59:48 -0300

csound (1:5.17.11~dfsg-2) unstable; urgency=low

  * Backport fix from upstream to build the java interface correctly

 -- Felipe Sateler <fsateler@debian.org>  Fri, 28 Sep 2012 18:56:24 -0300

csound (1:5.17.11~dfsg-1) unstable; urgency=low

  [ Forrest Cahoon ]
  * Imported Upstream version 5.17.11~dfsg
   - refresh patches for new upstream sources
  * Add patch for CsoundAC CMake bugfix
  * Build with new parser, old one is now unsupported upstream
  * Debian-specific hack for CMake to set an appropriate libsndfile version.
     Closes: #676145

  [ Felipe Sateler ]
  * Add build-dependency on libeigen3-dev, necessary for CsoundAC
  * Add Forrest to Uploaders

 -- Felipe Sateler <fsateler@debian.org>  Sat, 16 Jun 2012 10:01:58 -0400

csound (1:5.17.6~dfsg-3) unstable; urgency=high

  * Fix segfault in csladspa. Closes: #672204

 -- Felipe Sateler <fsateler@debian.org>  Wed, 09 May 2012 14:29:26 -0400

csound (1:5.17.6~dfsg-2) unstable; urgency=low

  * Build-Depends on libpng-dev. Closes: #662292
  * Document portsmf copyright
  * Update copyright hints
  * Tighten dependency on CDBS 0.4.111. Closes: #669429.

 -- Felipe Sateler <fsateler@debian.org>  Wed, 25 Apr 2012 11:10:45 -0300

csound (1:5.17.6~dfsg-1) unstable; urgency=low

  * New upstream release
   - Do not build the wiimote opcodes (we need wiiuse).
  * Add new API function to symbols file
  * Disable lua opcodes, they were broken. Requires OpenMP to be enabled.
  * Backport fixes from upstream:
    - Link dssi4cs with dl. Backport
    - Fix building of CsoundAC

 -- Felipe Sateler <fsateler@debian.org>  Thu, 19 Apr 2012 09:26:46 -0300

csound (1:5.16.6~dfsg-1) UNRELEASED; urgency=low

  * New upstream release
   + Update patches
   + Fix for CVE-2012-0270 included upstream. Closes: #661197
  * Finalize switch to cmake build system.
   + Backport upstream fixes to the cmake build system

 -- Felipe Sateler <fsateler@debian.org>  Sat, 03 Mar 2012 12:54:43 -0300

csound (1:5.15.0~dfsg-1) UNRELEASED; urgency=low

  [ Felipe Sateler ]
  * New upstream release
   + Remove patch applied upstream
   + Remove stale option buildLoris
   + Refresh patches
   + Remove stale options for other frontends
   + Document libmpadec copyright
   + Remove plugins that were folded into the main library
   + No GUI clients anymore
  * Recommend stk so that the stk rawwaves can be used. Closes: #656034
  * Preliminary cmake support
   + Remove patch for abi versioned plugin install dir, adopted upstream
   + Remove 1004-fix-csoundac-csnd-linkage.diff, does not apply with cmake
   + Remove 1005-fix-ftbfs-gcc-4.6.diff, does not apply to cmake build system
   + Port patches to cmake build system
   + Drop patches not needed in cmake build system
   + Backport changes from upstream git repository
     - 0000-updated-CMake-build-for-mp3in-changes.patch for mp3in ugen
     - 0001-CMake-BuildSystem-Updates.diff: Lots of Cmake fixes
   + Add Custom.cmake to add the stk include dir
   + Drop debian/rules cleaning not necessary on out-of-tree builds
   + Add patch to enable hidden visibility of most symbols
   + Add patch to link the pd class to libcsound
  * Use CDBS parallel build support
  * Do not install public lua library. It is probably never used
    directly. Just provide the lua module.
  * Add missing opcodes to install list
  * Use CDBS pd class to handle pd lib stripping and shlibs

  [ Jonas Smedegaard ]
  * Unfuzz patches.
  * Update copyright file:
    + Extend copyright years for main Files section.
    + Add a copyright holder.
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.
  * Bump debhelper compat level to 7.
  * Shorten Vcs-Browser field in control file.
  * Avoid copyright-checking some known-good data files.

 -- Felipe Sateler <fsateler@debian.org>  Sat, 24 Dec 2011 17:04:46 -0300

csound (1:5.14.2~dfsg-2) unstable; urgency=low

  * Fix broken lua module symlink (symlink did not get updated when the lua
    module changed names).
  * Fix FTBFS with -Werror=format-security. Closes: #649462

 -- Felipe Sateler <fsateler@debian.org>  Wed, 23 Nov 2011 22:06:19 -0300

csound (1:5.14.2~dfsg-1) unstable; urgency=low

  [ Felipe Sateler ]
  * New upstream release
   - Update copyright file
   - Remove patch applied upstream
   - Refresh patches
   - Beats has been renamed to csbeats
  * Delete custom.py on clean
  * Install new plugins
  * Enable the new Lua opcodes
  * Enable new parser

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Rewrite to DEP5 rev. 174 format.
    + Fix update more entries.

 -- Felipe Sateler <fsateler@debian.org>  Wed, 02 Nov 2011 19:56:26 -0300

csound (1:5.13.0~dfsg-5) unstable; urgency=low

  * Use linux-any wildcard for libasound dependency. Closes: #634489
  * Build only for the current python version.
     Closes: #642708

 -- Felipe Sateler <fsateler@debian.org>  Sun, 25 Sep 2011 16:19:59 -0300

csound (1:5.13.0~dfsg-4) unstable; urgency=low

  [ Alessio Treglia ]
  * Switch to dh_python2
    - Update fail-missing rule to ignore files installed in /usr/lib/pyshared.
  * debian/custom.py: Small fix to set -Wl,--as-needed properly.
  * libcsound64-doc provides documentation in HTML format,
    fix package description.
  * Register documentation with doc-base.

  [ Felipe Sateler ]
  * Create new package csound-data for common data files.
    - Put the HRTF data files there (LP: #225639)
  * Drop the dependency on a JRE for libcsnd-java, the policy no longer
    requires it.
  * Merge Jakub Wilk's NMU changes.
  * Build only for the default python version
  * Delete doxygen stamp on clean. Closes: #632256.
  * Bump standards-version (No changes needed).

 -- Felipe Sateler <fsateler@debian.org>  Wed, 13 Jul 2011 23:31:22 -0400

csound (1:5.13.0~dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * In order to fix FTBFS with GCC, don't append --no-export-all-symbols to
    SHLINKFLAGS 4.6 (closes: #624982). Thanks to Lucas Nussbaum for the bug
    report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 26 Jun 2011 20:41:04 +0200

csound (1:5.13.0~dfsg-3) unstable; urgency=low

  * Beats needs bison and flex in order to build (Closes: #613933)
  * Install the beats executable in the csound package

 -- Felipe Sateler <fsateler@debian.org>  Mon, 21 Feb 2011 17:42:50 -0300

csound (1:5.13.0~dfsg-2) unstable; urgency=low

   * Upload to unstable.
 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Feb 2011 11:54:10 -0300

csound (1:5.13.0~dfsg-1) experimental; urgency=low

  [ Jonas Smedegaard ]
  * Let CDBS resolve if parallel build is enabled.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add dpkg-source local-options.

  [ Felipe Sateler ]
  * New Upstream release
    - Update symbols file
    - Drop patches grabbed from upstream development
    - Add patch to fix linkage of csoundac to csnd
    - Refresh other patches
    - Enable the new Beats score language

 -- Felipe Sateler <fsateler@debian.org>  Mon, 17 Jan 2011 22:56:00 -0300

csound (1:5.12.1~dfsg-6) unstable; urgency=low

  * Acquire lock before using it on chnclear opcode (Closes: #603321)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 16 Dec 2010 20:06:28 -0300

csound (1:5.12.1~dfsg-5) unstable; urgency=medium

  * Do not print error message when RAWwAVE_PATH is undefined
  * Build documentation at install stage to avoid building in buildds.
     Really Closes: #590948
  * Urgency medium to speed up jackd transition.

 -- Felipe Sateler <fsateler@debian.org>  Thu, 05 Aug 2010 12:04:49 -0400

csound (1:5.12.1~dfsg-4) unstable; urgency=medium

  * Build documentation in -doc specific build target, to avoid
    supoerfluous rebuilds in arch-only rebuilds. Closes: bug#590948,
    thanks to Julin Cristau and others.
  * Set urgency=medium to help speed up jackd transition.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Aug 2010 16:14:22 -0400

csound (1:5.12.1~dfsg-3) unstable; urgency=low

  [ Felipe Sateler ]
  * Disable csound5gui and cseditor
  * Update my e-mail address
  * Remove the DM-Upload-Allowed field
  * Build depend against default-jdk, not default-jdk-builddep, which
    was wrong
  * Do not specify list for java, as it is available on all archs now.

  [ Jonas Smedegaard ]
  * Use Breaks (not Conflicts).
  * Bump Policy compliance to Standards-Version 3.9.1.
  * Comment out cseditor and csound5gui in menu file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Aug 2010 16:20:08 -0400

csound (1:5.12.1~dfsg-2) unstable; urgency=low

  * Revert unpatch hack: upsets build daemons.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Apr 2010 22:36:10 +0200

csound (1:5.12.1~dfsg-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Fix Mac-encoded apostrophe in copyright, thanks to lintian.
  * Bump Standards-Version to 3.8.4.
  * Wrap long descriptions at 72 characters.
  * Fix capitalization of PureData in a long description.
  * Packaging moved to Debian Multimedia Maintainers: Update Maintainer
    and Vcs-* stanzas in control file.
  * Drop implementing DEB_MAINTAINER_MODE in rules file: handled in cdbs
    now. Drop related lintian override as well.
  * Drop package-relations.mk (last remaining local CDBS snippet):
    included in cdbs itself now.
  * Use CDBS class python-module.mk, and simplify local Python hacks in
    rules file.
  * Refresh patches, using shortening quilt options --no-timestamps
    --no-index -pab.
  * Update copyright file (new author, no new licenses).
  * Fix use DEB_UPSTREAM_REPACKAGE_EXCLUDES (not abandoned
    DEB_UPSTREAM_REPACKAGE_EXCLUDE) in rules file.
  * Tighten repackaging hints to match current (slightly cleaner)
    upstream release, in rules and copyright files.

  [ Felipe Sateler ]
  * New upstream release
    - Update patches for new upstream release
    - Install crossfm opcode
    - Update symbols file
  * Drop local CDBS snippets that have been integrated in the main CDBS
    package
  * Reorder scons options
  * Reorder build-dependencies
  * Make every build option explicit
  * Fix a segfault when an ending \ is used to split a line in the
    orchestra
  * Do not set buildSDFT option, it was dropped upstream
  * Detect default tcl version and enforce it
  * Enable STK opcodes
  * Invoke the java archs resolution script in debian/rules
  * Update debian/control

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Apr 2010 14:52:43 +0200

csound (1:5.11.1~dfsg-4) unstable; urgency=low

  [ Felipe Sateler ]
  * Change luacsnd package name in control files (this caused -3 luacsnd to be
    empty).
  * Make the lua package provide the old name.
  * Install to /usr/lib/dist-packages with python 2.6 or higher.
    Closes: #571270
  * Add DM-Upload-Allowed field.

  [ Jonas Smedegaard ]
  * Stop mentioning quilt in README.source.
  * Update local CDBS snippets:
    + package-relations.mk:
      - Merge mixture of versioned and unversioned dependencies
      - Use unversioned dependencies when satisfied in oldstable
      - Improve whitespace cleanup
      - Rewrite and silence applying dependencies
      - Handle cdbs 0.4.53 dependency (needed when using debhelper v7)
    + upstream-tarball.mk:
      - Depend unversioned on cdbs (the needed 0.4.39 is in oldstable)
      - Preserve bzip2 tarballs with source format '3.0 (quilt)'.
    + copyright-check.mk:
      - More aggressive scanning (check top 99999 lines, not just 60)
      - Simplify more licensing notices and preserve non-ASCII chars
      - Group hints by sorted owner list (ignoring years)
      - Limit console output both horisontally and vertically
      - Use rev123 of draft DEP5 for hints file
  * Refer to FSF website (not postal address) in debian/rules header.
  * Rewrite copyright file using in DEP5 rev. 135 format.
  * Add DM-Upload-Allowed field to control.in.
  * Refresh patches with quilt option --no-timestamp.
  * Add rudimentary DEP3 patch headers.
  * Build-depend unversioned on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Mar 2010 01:31:25 +0100

csound (1:5.11.1~dfsg-3) unstable; urgency=low

  [ Felipe Sateler ]
  * Be more verbose on mv-inside-for-loops
  * Rename the lua module (Closes: #561131)
  * Do not link against the lua library (Closes: #561128)
  * Rename the lua module as per the lua policy
  * Correct SONAME and package name of the lua bindings
  * Regenerate control file

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Dec 2009 18:51:51 +0100

csound (1:5.11.1~dfsg-2) unstable; urgency=low

  * Fix extend local scons config.py to Include
    /usr/lib/jvm/default-java/include/linux. Thanks to
    Carlos O'Donell for thorough investigations.
  * Switch to source format 3.0 (quilt):
    + Unfuzz patches, and apply them to packaging source.
    + Stop including cdbs snippet patchsys-quilt.mk.
    + Stop build-depending on quilt or patchutils.
    + Add source format hint to packaging source.
  * Drop backportability for Etch:
    + Drop fallback build-dependencies on java-gcj-compat-dev and
      versioned tcl and tk libraries,
    + Cleanup local scons config.py to not include
      /usr/lib/jvm/java-gcj/include or /usr/include/tcl8.4.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Nov 2009 20:17:30 +0100

csound (1:5.11.1~dfsg-1) unstable; urgency=low

  [ Felipe Sateler ]
  * New upstream release
    - Large build-system changes
    - Update patches:
     - Fix csPerfThread.hpp path for installation
     - Fix python interface build failure.
     - Fix build failure in wrappers
     - Make scons install the interfaces library
    - Install ScoreModel.hpp
    - Install new opcodes
  * Add more -Wl,--as-needed
  * Change lua package to arch: any now that it is a proper library
  * Rely on dh_lintian for the lintian overrides
  * Use a symbols file for libcsound64
  * Bump Standards-Version, no changes needed

  [ Jonas Smedegaard ]
  * Tighten -dev packages dependency on their lib package as per Debian
    Policy §8.5, thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Oct 2009 21:15:40 +0200

csound (1:5.10.1~dfsg1-4) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Strip old notes from watch file.
  * Simplify debian/copyright (based on newest DEP5 draft).
  * Fix typo in README.source: new new.
  * Update local CDBS snippets:
    + Update package-relations.mk: Cleanup unversioned+versioned
      dependency mix. Improve whitespace cleanup. Rewrite and silence
      applying dependencies.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Extend java-related (build-)dependencies to include architecures
    hppa, kfreebsd-amd64 and kfreebsd-i386.

  [ Felipe Sateler ]
  * At build, import the whole environment (Closes: #522414)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Aug 2009 14:04:40 +0200

csound (1:5.10.1~dfsg1-3) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Improve patch headers.

  [ Felipe Sateler ]
  * Relax version mangling in watch file
  * Build-depend on libboost-dev (not libboost1.35-dev)
  * Build-depend on libboost-serialization-dev
  * Drop spinlocks in SPARC (Closes: #526025)
  * Use DejaVu instead of Vera fonts (Closes: #528153)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 May 2009 11:05:12 +0200

csound (1:5.10.1~dfsg1-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Replace bogus Sugar URLs in debian/copyright with proper CSound
    ones.

  [ Jonas Smedegaard ]
  * Install libcsnd-java in section java, thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Apr 2009 12:04:56 +0200

csound (1:5.10.1~dfsg1-1) unstable; urgency=low

  [ Felipe Sateler ]
  * New upstream release.
    - SONAME bump from 5.1 to 5.2.
    - Drop 0000-fix-build.diff, 1000-instdir.diff,
      1001-fix-csoundac-amd64.diff, 1002-type-punning.diff,
      1004-sanitize-sys.path.diff, 1005-fix-ftbfs-alpha.diff,
      accepted upstream.
    - Drop 2005-html-apidocs.diff, upstream builds html by default.
    - Add 2009-csoundac-fltk-link.patch, csoundac doesn't work with
       -Wl,-as-needed.
    - Refresh the rest.
  * Clear lintian warnings:
   - Avoid installing executable examples.
   - Override binary-without-manpage: the manpages are generated from another
     source package
   - Override non-dev-pkg-with-shlib-symlink for libcsnd5.1, it is just too
     small to justify a -dev package.
  * Add a README.source describing how to get the patched sources.
  * Make python-csoundac depend on python-csound. (Closes: #503633)
  * Sanitize Python path to avoid arbitrary code execution. Thanks James Vega.
    Closes: #504359.
  * Fix FTBFS in alpha due to typo. 
  * Install csPerfThread.hpp.
  * Add -dev packages and a lua package from libcsnd and libcsoundac.
  * Use DEB_HOST_ARCH_OS instead of DEB_BUILD_ARCH_OS.
  * Simplify libjack-dev build-dependency.

  [ Jonas Smedegaard ]
  * Repackage upstream tarball:
    + Strip embedded tarball: Contains possibly source-less python
      binary
    + Strip soundfont: improperly licensed
    + Strip MIDI script: improperly licensed
  * Update debian/copyright and related copyright and licensing info:
    + document above additional stripped files.
    + Properly license debian/{pkgarchs.sh,rules}.
    + Update copyright hints (no new authors or licenses)
    + partly rewrite to use proposed new format (preserving all old info
      but lacking lots of details revealed from closer looking at the
      source)
  * Fix watch file:
    + mangle trailing dfsg + optional single digit (not only dfsg2)
    + mangle trailing .0 both in debian and upstream version strings
  * Minor updates to cdbs snippets copyright-check.mk and
    package-relations.mk.
  * Fix unreliable documentation build:
    + Completely replace doxygen-generated Makefile with custom one
      ignoring pdflatex errors initially and emits errors at additional
      runs to stderr
    + Build-depend on ttf-bitstream-vera and patch Doxyfile to use it
    + Patch Doxyfile to use default dot path
    + Patch refman_header.tex to include needed listings package
  * Build-depend on libjack-dev.
  * Explicitly add java-gjc include path, to not FTBFS when fallback
    java build-dependency is used.
  * Build using generic tcl path preferred over versioned one.
  * Build-depend on dssi-dev, libgmm++-dev and libboost1.35-dev (and not
    libboost-dev).
  * Install new plugin libraries:
    + ambicode1 (Furse/Wiggins decoders)
    + Chua (Chua's Oscillator)
    + pulse (PulseAudio client RT IO module)
    + VOSIM (VOice SIMulation)
    + Linear Algebra (not new, but depends on newly linked GMM++)
  * Avoid installing empty NEWS file.
  * Use CDBS-resolved (not explicit) version number in debian/rules.
  * Extend README.source with info Git, upstream tarballs and CDBS.
  * Bump standards-version to 3.8.1.  Drop README.cdbs-tweaks and
    CDBS-specific hints in other source files.
  * Extend java-related (build-)dependencies to include dalpha arch.
  * Add git-buildpackage configfile, enabling signed tags.
  * Add new local CDBS snippet buildinfo.mk to install info on build
    environment into binary packages (as debugging aid).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Apr 2009 14:52:29 +0200

csound (1:5.08.2~dfsg-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Rerelease same upstream tarball by more accurate name: Upstream
    changelog and other upstream packages indicate that
    microversion is stripped from upstream tarballs.
    This is also an excuse to adjust dfsg extension to be below upstream
    (in case they should decide to rerelease without non-DFSG source).
  * Update CDBS snippets:
    + Update copyright-check.mk to closer match new proposed copyright
      format, optionally break on changes, and cleaup properly.  Update
      copyright-hints.
    + Use new local package-relations.mk to resolve, cleanup and apply
      CDBS-declared (build-)dependencies.
    + Use new local upstream-tarball.mk to implement get-orig-source and
      more.
    + Update README.cdbs-tweaks.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).
  * Semi-auto-update debian/control to update dependencies:
      DEB_MAINTAINER_MODE=1 fakeroot debian/rules clean
  * Rewrite watch file.

  [ Felipe Sateler ]
  * Install examples in csound, pd-csound, python-csoundac, libcsnd-java and
    tclcsound.
  * Make the csound library package policy compliant:
    - Make the plugins versioned (they are tied to the library anyway).
    - Split the translations to the csound package.
    This should make transitions easier if/when csound changes ABI.
  * Specify useGettext at install time so gettext isn't disabled.
  * Make pd-csound depend on pd as fallback for puredata, to allow using
    the alternative pd-extended (Closes: #491966).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Jul 2008 01:17:52 +0200

csound (1:5.08.0.dfsg2-8) unstable; urgency=low

  * Only warn about copyright-check.mk discoveries.  Closes: bug#487052.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Jun 2008 23:12:05 +0200

csound (1:5.08.0.dfsg2-7) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Have default-jdk-builddep build-dependency fallback to
    java-gcj-compat-dev to ease backporting to Etch.
  * Avoid failing too early in fail-missing target, and emit diff when
    it does.
  * Semi-auto-update debian/control to update dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

  [ Felipe Sateler ]
  * Add Build-Dependency on graphviz. Doxygen needs it for the html
    docs.
  * Ship all needed files for the csnd library.
  * Fix local scons cdbs tweak to print the actual command it executes at
    install time.
  * Remove doxygen cruft from the html manual.
  * Fix emptyness test in fail-missing target.
  * Rename liblua5.1-csnd to libcsnd5.1, since there is a shared library in
    /usr/lib. The new package Provides: liblua5.1-csnd.
  * Fix override disparity: -doc and -dev are priority extra.
  * Enable some optimizations.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 May 2008 13:54:06 +0200

csound (1:5.08.0.dfsg2-6) unstable; urgency=low

  [ Felipe Sateler ]
  * Rename patches according to debian/patches/README. While we are at
    it, add a small description to each of them.

  [ Jonas Smedegaard ]
  * Use dpkg-parsechangelog (not head -1 + sed) to resolve suite in
    pkgarchs.sh.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 May 2008 10:36:36 +0200

csound (1:5.08.0.dfsg2-5) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Rename comment X-Build-Depends-Comment -> XS-Comment in
    debian/control (defacto standard limited to XS- and XB-).
  * Depend on default-jre (not java-gcj-compat) and build-depend on
    default-jdk-builddep (not java-gcj-compat-dev).  Build libcsnd-java
    only on supported architectures, dynamically resolved using cdbs.
  * Update cdbs tweaks:
    + Add local scons.mk and scons-vars.mk to handle SConstruct
      buildsystem, and drop custom SConstruct build targets.
  * Semi-auto-update debian/control to update dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
  * Fix capitalization of Csound in descriptions in debian/control.
  * Fix gettext localisation install dir, thanks to lintian.

  [ Felipe Sateler ]
  * Move the common documentation to the DEB_INSTALL_ALL_DOCS variable from
    the several *.docs files.
  * Remove csnd.py on clean.
  * Enable gettext localisation.
  * Build the html API documentation.
  * Drop unneeded patch release-flags.diff

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 May 2008 15:15:23 +0200

csound (1:5.08.0.dfsg2-4) unstable; urgency=low

  * Update cdbs tweaks:
    + Strip any non-printable characters in copyright-check.mk.  Update
      copyright-hints.
  * Bump debhelper compatibility to version 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Apr 2008 11:27:25 +0200

csound (1:5.08.0.dfsg2-3) unstable; urgency=low

  [ Felipe Sateler ]
  * Fix override disparity: priority optional, not extra.
  * Don't build depend on ALSA on non-linux archs, and don't build the ALSA
    plugin. 
  * The atsa binary was missing from csound-utils.
  * Add a check to avoid installing missing programs/plugins.
  * Move all GUI opcodes to the csound-gui package. Thus, csound no longer
    requires X (Closes: #319362).
  * Make the library documentation recommend the -dev package.
  * The -dev package doesn't include anything arch-specific, so make it arch:
    all.

  [ Jonas Smedegaard ]
  * Replace unsupported hash comment with "X-Build-Depends-Comment:" tag
    in debian/control.
  * Fix typo in python-csound long description, thanks to Loïc Minier.
  * Minor improvements to missing install check.
  * Use per-package install targets (to ease building single binary packages).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Apr 2008 03:25:08 +0200

csound (1:5.08.0.dfsg2-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Create a package for the API reference.
  * Remove autogenerated stuff on clean (instead of attempt to preserve
    which upsets either git-buildpackage or copyright-check).
  * Recommend the manpages package.
  * Fix FTBFS on several archs, thanks to Rodney Lorrimar.
  	(Closes: #474240, #474424)

  [ Jonas Smedegaard ]
  * Get only default Python version in debian/rules (do not rely on
    XS-Python-Version in debian/control).
  * Fix section: doc for binary package libcsound64-doc.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Apr 2008 20:10:00 +0200

csound (1:5.08.0.dfsg2-1) unstable; urgency=low

  [ Felipe Sateler ]
  * Separate the csound program and the manual, since they are distributed
    separately, and source packages are available for both now.

  [ Jonas Smedegaard ]
  * Avoid stripped non-free scansyn plugin by applying a patch at build time
    (only strip the non-free code itself from the tarball).
  * Bump "upstream" version, since we are repackaging again.
  * Have Felipe as Maintainer and myself as uploader in debian/control, and
    update Vcs-* fields to point to new Git collab-maint location at Alioth.
  * Fix get-orig-source to no longer patch scansyn usage out, and not include
    manual in main source tarball.
  * Preserve (not remove) original custom.py at clean, to not upset
    git-buildpackage.
  * Preserve autogenerated files provided upstream but regenerated, to not
    upset git-buildpackage or copyright-check routine.
  * Repackage to use CDBS:
    + Add local cdbs snippet copyright-check.mk.
    + Add cdbs snippet patchsys-quilt.mk (and drop manual quilt rules).
    + Add cdbs snippet langcore.mk (and drop manual setting common buildvars).
    + Add cdbs snippet debhelper.mk (and drop manual debhelper commands).
    + Add debian/README.cdbs-tweaks to source and advertise it in debian/rules.
    + Resolve all build-dependencies in debian/rules and advertise it in
      debian/control.
  * Build-depend on tk-dev and tcl-dev (and only fallback on 8.4 flavors).
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Mar 2008 17:05:16 +0100

csound (1:5.08.0.dfsg-1) unstable; urgency=low

  * New upstream release.
   - Update the get-orig-source target.
   - Update patches.
   - Drop hidden-symbols.diff, applied upstream.
   - Drop fix-csladspa.diff, applied upstream.
  * Build-Depend on libpng to build the new image opcodes.
  * Upstream now releases a source tarball for the manual, use it.
  * Support parallel building via DEB_BUILD_OPTIONS.
  * Copy Build-Depends-Indep to Build-Depends until dpkg-buildpackage calls
    build-arch when specified -B.

 -- Felipe Sateler <fsateler@gmail.com>  Wed, 19 Mar 2008 23:57:48 -0300

csound (1:5.07.0.dfsg-5) UNRELEASED; urgency=low

  * Include menu file for the GUI csound frontends/editors.
  * Bump standards-version (no changes needed).
  * Fix FTBFS in amd64 (and maybe other archs) by not SWIG-ing a function
    not really supported by SWIG (va_list arguments).
  * Work around type punning in swig generated code.
  * Delete unnecesary debian/dirs
  * Build documentation (manual and api reference). Also make the appropriate
    split of arch and arch-indep sections.
  * Fix copyright notice.
  * Move from dpatch to quilt.
  * Override 2 lintian warnings.

 -- Felipe Sateler <fsateler@gmail.com>  Fri, 18 Jan 2008 14:11:46 -0300

csound (1:5.07.0.dfsg-4) unstable; urgency=low

  * Add missing libboost-dev build-dependendy.
  * Adjust some of the build flags (optimize a little less).
  * Fix segfault in csladspa.
  * Clean up dependencies a bit by using -Wl,-as-needed.

 -- Felipe Sateler <fsateler@gmail.com>  Sun, 02 Dec 2007 16:37:19 -0300

csound (1:5.07.0.dfsg-3) unstable; urgency=low

  * Fix include dir of java via custom.py.
  * Build for the right architecture.

 -- Felipe Sateler <fsateler@gmail.com>  Wed, 14 Nov 2007 19:49:04 -0300

csound (1:5.07.0.dfsg-2) unstable; urgency=low

  * Fix _csnd.so SONAME breakage.

 -- Felipe Sateler <fsateler@gmail.com>  Tue, 13 Nov 2007 00:12:17 -0300

csound (1:5.07.0.dfsg-1) unstable; urgency=low

  * New upstream release.
    - Drop 04cseditor-shared-link.dpatch, accepted upstream.
    - Update all other patches.
  * Drop 01no-java-recompile.dpatch, since it is not absolutely necessary.

 -- Felipe Sateler <fsateler@gmail.com>  Mon, 22 Oct 2007 14:02:40 -0300

csound (1:5.06.0.dfsg-1) UNRELEASED; urgency=low

  * New maintainer for csound. Revamped the packaging (ie, start from
  	scratch).
  * New upstream version.
  	(Closes: #415655, #365840)
  * Repackaged source because on non-free code.
  	(Closes: #379648)
  * Build shared library.
  	(Closes: #390235)
  * Include a watch file.
  	(Closes: #415392)
  * Build with system OSC-kit.
  	(Closes: #297018)

 -- Felipe Sateler <fsateler@gmail.com>  Tue, 02 Oct 2007 00:36:14 -0400

csound (1:4.23f13-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Drop alpha, ia64, and amd64 from the package architecture list, because
    this version of csound makes many 32-bit assumptions that render the
    package unusable.  Closes: #414660.
  * Also fix the clean target to use make distclean, not just make
    clean, and remove csound/csound.xmg by hand since nothing seems to
    take care of this on clean.

 -- Steve Langasek <vorlon@debian.org>  Tue, 20 Mar 2007 15:55:27 -0700

csound (1:4.23f13-1) unstable; urgency=low

  [ Hans Fugal ]
  * New upstream release
  * Renamed csound-extract to csound_extract due to automake limitations
  * Added NEWS.Debian
  * Install more upstream documentation (in /usr/share/doc/csound)
  * Removed -P128 from defaults list in manpage. (closes: #300622)
  * Built with g++ 4.0. (closes: #318915)
  * Upstream removed OSC-Kit. (closes: #297018)

  [ Guenter Geiger (Debian/GNU) ]
  * Added texinfo build depends

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 15 Sep 2005 11:06:56 +0200

csound (4.23f12-2) unstable; urgency=low

  * Updated to policy 3.6.1 (no changes)

 -- Hans Fugal <hans@fugal.net>  Tue, 03 Aug 2004 09:29:32 -0600

csound (4.23f12-1) unstable; urgency=low

  * New upstream release

 -- Hans Fugal <hans@fugal.net>  Wed, 28 Jul 2004 07:54:35 -0600

csound (4.23f08-1) unstable; urgency=low

  * New upstream release

 -- Hans Fugal <hans@fugal.net>  Fri, 02 Jan 2004 10:29:36 -0700

csound (4.23f07-1) unstable; urgency=low

  * New upstream release
  * Renamed extract to csound-extract. (closes: #205918)
  * No longer build plugin .so's, which weren't being installed anyway.
    (closes: #207574)

 -- Hans Fugal <hans@fugal.net>  Fri, 12 Sep 2003 08:33:46 -0600

csound (4.23f06-1) unstable; urgency=low

  * New upstream release

 -- Hans Fugal <hans@fugal.net>  Sun, 17 Aug 2003 15:40:15 -0600

csound (4.23f04-1) unstable; urgency=low

  * Initial Release. (closes: #200355)
  * Omitted scansyn and scansynx opcodes because of license 
  * Omitted some OSC-Kit files because of license
  * Various Makefile adjustments
  * widget.cpp/gcc compile errors fixed
  * Wrote manpages for all binaries (closes: #130373 indirectly)

 -- Hans Fugal <hans@fugal.net>  Tue, 12 Aug 2003 08:09:20 -0600

